isiFormApp/urls.py
from django.urls import path
from .views import home, isiForm
app_name = 'isiFormApp'

urlpatterns = [
	path('', isiForm, name='isiForm'),
]

payment/urls.py
from django.urls import path
from . import views

app_name = 'payment'

urlpatterns = [
		path('', views.isi_pembayaran, name='isi_pembayaran'),
]

petcareApp/urls.py
from django.urls import path
from .views import home

app_name = 'petcareApp'

urlpatterns = [
	path('', home, name='home'),
	]

petcareProject/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('petcareApp.urls')),
    path('payments/',include('payment.urls')),
    path('isiForm/', include('isiFormApp.urls')),
    path('testimoni', include('testimoni.urls')),
]

testimoni/urls.py
from django.urls import path
from .views import *

app_name = 'testimoni'

urlpatterns = [
	path('',view_testimoni, name="view_testimoni")	

	]

isiFormApp/models.py
from django.db import models
# Create your models here.
class Bookings (models.Model):
    date = models.DateField()
    service = models.CharField(max_length=30)
    doctor = models.CharField(max_length=30)
    fullname = models.CharField(max_length=30)
    phone = models.CharField(max_length=30)

payment/models.py
from django.db import models
# Create your models here.
class Model_form(models.Model):
	nama_pemegang_kartu = models.TextField(max_length=50)
	nomor_kartu_debit = models.TextField(max_length=19)
	kadaluarsa = models.DateField()
	ccv = models.TextField(max_length=4)

	def __str__(self):
		return self.nama_pemegang_kartu

petcareApp/models.py
from django.db import models

# Create your models here.

class FAQModels(models.Model):
	question = models.CharField(max_length=500)

testimoni/models.py
from django.db import models

# Create your models here.


class Testimoni(models.Model):
	testimoni = models.TextField(max_length=300)
	username = models.CharField(max_length=50)
	hewan= models.CharField(max_length=50)


	def __str__(self):
		return self.testimoni

isiFormApp/forms.py
from django import forms
import datetime
class Message_Form(forms.Form):
        service = forms.CharField(label='', required=True, 
                max_length=90, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Select Services"}))
        doctor = forms.CharField(label='', required=True, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Select Doctors"}))
        fullname = forms.CharField(label='', required=True, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Your Full Name"}))
        phone = forms.CharField(label='', required=True, 
                widget=forms.TextInput(attrs = {"class": "form-control", "placeholder" : "Phone"}))
        date = forms.DateField(label='', initial=datetime.date.today, 
                required=True, widget=forms.DateTimeInput(attrs = {"class": "form-control", "type" : "date"}))

payment/forms.py
from django import forms
from .models import Model_form

class PaymentForm(forms.ModelForm):
	class Meta:
		model = Model_form
		fields = ['nama_pemegang_kartu', 'nomor_kartu_debit', 'kadaluarsa','ccv']
		widgets ={
		'kadaluarsa':forms.DateInput(attrs={'class':'form-control', 
											'type':'date'}),
		'nomor_kartu_debit':forms.NumberInput(attrs={'class':'form-control', 
											'placeholder':"Masukkan nomor kartu debit/kredit Anda"}),
		'nama_pemegang_kartu':forms.TextInput(attrs={'class':'form-control', 
											'placeholder':'Masukkan nama yang tertera di kartu Anda'}),
		'ccv':forms.NumberInput(attrs={'class':'form-control',
										'placeholder':'Masukkan 3-4 digit terakhir dari nomor kartu Anda'})
		}

petcareApp/forms.py
from django import forms
from . import models

class Question(forms.ModelForm):
	ask_question = forms.CharField(widget=forms.TextInput(attrs={
				"size" : 50,
                "class" : "jadwalfields full",
                "required" : True,
                "placeholder":"Ask Us a Question!",
                }))

	class Meta:
		model = models.FAQModels
		fields = ["ask_question"]

testimoni/forms.py
from django import forms
from .models import *

class TestimoniForm(forms.ModelForm):

    class Meta:
        model = Testimoni
        fields = ('username','hewan','testimoni')
        widgets = {
            'testimoni': forms.TextInput(attrs={
                'placeholder': 'Tulis testimoni kamu disini', 
                'name':"testimoni-field", 
                'id':"testimoni-field",
                'required':"True",
                }),
            'username':  forms.TextInput(attrs={
                'placeholder': 'Tulis nama kamu disini', 
                'name':"username-field", 
                'id':"username-field",
                'required':"True",
                }),

            'hewan': forms.TextInput(attrs={
            'placeholder': 'Jenis hewan yang dirawat', 
            'name':"testimoni-field", 
            'id':"testimoni-field",
            'required':"True",
            }),
        }

isiFormApp/views.py
from django.shortcuts import render
from datetime import datetime, date
from .forms import *
from .models import *

# Create your views here.

def home(request):
    response = {}
    return render(request, 'home.html', response)

def isiForm(request):
    form = Message_Form()
    bookings = Bookings.objects.all()
    response = {'message_form': form, 'myBookings' : bookings}
    if request.method == 'POST':
        service = request.POST['service']
        doctor = request.POST['doctor']
        fullname = request.POST['fullname']
        phone = request.POST['phone']
        date = request.POST['date']
        bookings = Bookings(service=service,doctor=doctor,fullname=fullname,phone=phone,date=date)
        bookings.save()

    
    return render(request, 'isiForm.html', response)

payment/views.py
from django.shortcuts import render, redirect
from .models import Model_form
from .forms import PaymentForm

# Create your views here.
def isi_pembayaran(request):
	if request.method =='POST':
		form = PaymentForm(request.POST)
		if form.is_valid():
			post = form.save(commit=False)
			post.save()
			return redirect('/payments')
	else:
		form = PaymentForm()
	#ambil object terakhir aja
	objects = Model_form.objects.order_by().last()
	isi = {'generate_form': form,
			'all_objects':objects}
	return render(request, 'payment.html', isi)

petcareApp/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from .forms import Question
from .models import FAQModels
# Create your views here.

def home(request):
	if request.method == "POST":
		form_question = Question(request.POST)
		if form_question.is_valid():
			form_question.save()
			return redirect('petcareApp:home')
	else:
		form_question = Question()

	questions = FAQModels.objects.all()
	all_question = {
		'form' : form_question,
		'ask' : questions,
	}
	return render(request, 'home.html', all_question)

testimoni/views.py
from django.shortcuts import render
from .forms import *
from .models import *


# Create your views here.

def view_testimoni(request):
	if (request.method =="POST"):
		instance = TestimoniForm(request.POST)
		if(instance.is_valid()):
			instance.save()


	testimoni_list = Testimoni.objects.all()
	testimoni_form = TestimoniForm()
	

	context= {
		'testi': testimoni_list,
		'form': testimoni_form,
	}

	return render(request,'view_testimoni.html', context)

isiFormApp/templates/isiForm.html
{% extends "base.html" %}
{% load staticfiles %}


{% block content %}


<div class="container-fluid bg-dog">

    <div class="row">
      
        <div class="col" >
        <br>
            <img class="book" src="{% static 'book.png' %}">
        </div>

    <!-- ini buat isi form -->
      <div class="col" >
      <br>
      <div class="card bg-form">
            <div class="card-body">
            <h4 class="card-title">We are here for you</h4>
            <h2 class="card-title2">BOOK APPOINTMENT</h2>
          <section name="form">
      <br>
      <form id="form" method="POST">
      {% csrf_token %}
      {{ message_form }} 
      <br>
      <button type="submit" class="btn btn-primary"> BOOK </button>
      </form>
      <br>
      </section>
      </div>
      </div>
        </div>
    </div>
    <div class="row">
    <pre>

    <pre>
    </div>

</div>


<div class="container-fluid">
    <img class="book2" src="{% static 'book2.png' %}" width="100%">
</div>


<!-- ini buat hasil form -->
<div class="container">
  <h2>My Bookings</h2>
              
  <table class="table">
    <thead>
      <tr>
        <th>Service</th>
        <th>Doctor</th>
        <th>Fullname</th>
        <th>Phone</th>
        <th>Date</th>
        <th>  </th>
      </tr>
    </thead>
    <tbody>
    {% for h in myBookings %}
      <tr>
        <td> {{ h.service }} </td>
        <td> {{ h.doctor }} </td>
        <td> {{ h.fullname }} </td>
        <td> {{ h.phone }} </td>
        <td> {{ h.date }} </td>
        <td> <form  method="POST" action = "bayar/{{ h.id }}">
      {% csrf_token %} 
      <a class="btn" href="#"> KONFIRMASI PEMBAYARAN  </a>
      </form>
      </td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
</div>

{% endblock %}

payment/templates/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html>
<head>
    {% block title%}
    {% endblock title%}

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="0" />

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}" />
    {% block sheet%}
    {% endblock sheet%}
</head>

<body>
    <p style="border-bottom: yellow solid 20px"></p>
    <div class = "header">
 <nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand"  href="{% url 'petcareApp:home' %}"><img class="logo"  src="{% static 'logo.png' %}" width="10%"></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNavDropdown">
    <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <a class="nav-link" href="{% url 'testimoni:view_testimoni' %}">Testimoni</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'isiFormApp:isiForm' %}">BOOK US</a>
            </li>
        </ul>
  </div>
</nav>
    </div>

    <div class="content">
        {% block content%}
        {% endblock content %}
    </div>


{% block sidebar%}
{% endblock sidebar %} 

    <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    <script type="application/javascript" src="{% static 'js/About Page.js' %}"></script>  
</body>
</html>

payment/templates/payment.html
{% extends 'base.html' %}
{% load staticfiles %}
	{% block title%}
	<title>Payment</title>
	{%endblock title%}
	{% block sheet%}
	<script src="https://kit.fontawesome.com/398e878c6e.js" crossorigin="anonymous"></script>
	<link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
	<link rel="stylesheet" type="text/css" href="{% static 'css/sheet.css' %}">
	{%endblock sheet%}
	{% block content%}

	<p class="lines"></p>
	<div class="container">
		<div id="top_title" class="row">
				<i class="far fa-dot-circle col-1 col-lg-1"></i>
				<h1 class="col-11 col-lg-4">Kartu Debit/Kredit</h1>
				<img class="col-lg-1 col-3"src="{% static 'images/mastercard.png'%}" width="70" height="45">
				<img class="col-lg-1 col-3" src="{% static 'images/visa.jpg'%}" width="70" height="45">
				<img class="col-lg-1 col-3"src="{% static 'images/jcb.jpg'%}" width="70" height="45">
				<img class="col-lg-1 col-3"src="{% static 'images/americanexpress.png'%}" width="70" height="45">
		</div>
		<div class="all-form">
			<form action="{% url 'payment:isi_pembayaran' %}" method="POST" novalidate>{% csrf_token %}
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">Nama Pemegang Kartu</label>
						</div>
						<div class="form-group col-lg-6">
							{{generate_form.nama_pemegang_kartu}}
						</div>
					</div>
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">Nomor Kartu Debit/Kredit</label>
						</div>
						<div class="form-group col-lg-6">
							{{generate_form.nomor_kartu_debit}}
						</div>
					</div>
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">Kadaluarsa Bulan/Tahun</label>
						</div>
						<div class="form-group col-lg-6">
							{{generate_form.kadaluarsa}}
						</div>
					</div>
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">CCV/CVV</label>
						</div>
						<div class="form-group col-lg-6">
							{{generate_form.ccv}}
						</div>
					</div>
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-check">
							  <input class="form-check-input" type="checkbox"id="defaultCheck1" required>Saya setuju untuk menyimpan informasi pembayaran
						</div>
					</div>	
					<div id=button_confirm class="d-flex flex-column flex-md-row flex-wrap justify-content-center">
						<div class="col-2">
							<button type="submit" class="btn btn-lg btn-light" value="Save">Konfirmasi</button>
						</div>
						
					</div>
			</form>
		</div>
	</div>
	<p class="lines"></p>

	<div class="container">
		<h2 class="text-center">Informasi Pembayaran Anda</h2>
		<table class="table table-responsive-md table-bordered">
                <thead>
                    <tr>
                        <th scope="col">Nama Pemegang Kartu</th>
                        <th scope="col">Nomor Kartu Debit/Kredit</th>
                        <th scope="col">Kadaluarsa</th>
                        <th scope="col">CCV/CVV</th>
                    </tr>
                </thead>
                <tbody>
                	
                    <tr>
                        <td>{{ all_objects.nama_pemegang_kartu }}</td>
                        <td>{{ all_objects.nomor_kartu_debit }}</td>
                        <td>{{ all_objects.kadaluarsa }}</td>
                        <td>{{ all_objects.ccv }}</td>
                    </tr>
                  
                </tbody>
            </table>
	</div>
	<h2 class="footer"></h2>  
	{%endblock content%}

petcareApp/templates/home.html
{% extends "base.html" %}
{% load staticfiles %}

{% block sheet %}

<link rel="stylesheet" type="text/css" href="{% static 'homeStyle.css' %}">

{% endblock %}

{% block content %}

 <!-- ----- Home ----- -->
<div class="jumbotron jumbotron-fluid home">
	<div class="container-fluid"></div>
</div>

<!-- ----- About Us ----- -->
<div class="aboutpet">
	<div class="container-fluid">
	<h1> About Us </h1>
	<h4> We are a pet grooming salon!
	We provide grooming services for your beloved pet. </h4>
	</div>
</div>

<!-- ----- Services ----- -->
<div class="jumbotron jumbotron-fluid services">
	<div class="container-fluid">
		<div class="row cardservice">
		  
		  	<div class="col-sm-4">
			    <div class="card">
			      <div class="card-body .bg-info">
			        <h5 class="card-title"> Nails </h5>
			        <p class="card-text"> Nails trimmed and then filed to provide a scratch and chip free look, good for you, your furniture, and your pet.</p>
			      </div>
			    </div>
		  	</div>

		  <div class="col-sm-4">
		    <div class="card">
		      <div class="card-body .bg-info">
		        <h5 class="card-title">Bath and Brush</h5>
		        <p class="card-text"> We provide a luxury Bath & Brush utilizing the finest shampoos while gently massaging and providing specific care for your pet’s needs.</p>
		      </div>
		    </div>
		  </div>

		  <div class="col-sm-4">
		    <div class="card">
		      <div class="card-body .bg-info">
		        <h5 class="card-title"> Clean Ears / Hair Removal </h5>
		        <p class="card-text">Routine dog ear care is extremely important to the ongoing health of your pet. Ears are checked and cleaned.</p>
		      </div>
		    </div>
		  </div>

		</div>
	</div>
</div>

<!-- ----- Frequently Asked Questions ----- -->
<div class="container-fluid">
	<h1> Frequently Asked Question </h1>
	<div class="row">
		<div class="col-sm-6">
			<div class="row faq-collapse">
				<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#multiCollapseExample1" aria-expanded="false" aria-controls="multiCollapseExample2"> What Are the Benefits of Dog Grooming? </button>
				<div class="collapse multi-collapse" id="multiCollapseExample1">
			      	<div class="card card-body">
			        -. It promotes the health of the dog's skin, coat, teeth, and every other part of their body.
					-. It lets a professional get to know your dog's body so that they can see and feel any changes and find health problems early on.
					-. It lowers you dog's stress levels and reduces their blood pressure.
			      	</div>
	    		</div>
			</div>
			
			<div class="row faq-collapse">
				<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#multiCollapseExample2" aria-expanded="false" aria-controls="multiCollapseExample2"> How Often Should You Have Your Dog Groomed? </button>
				<div class="collapse multi-collapse" id="multiCollapseExample2">
			     	<div class="card card-body">
			     		Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
		    		</div>
	    		</div>
			</div>
			
		</div>

		<div class="col-sm-6">
			<h1> Ask your question </h1>
			<form method="POST">
				{% csrf_token %}
				{{ form.ask_question }}
			<div>	
				<input type="submit" name="Submit">
			</div>
			</form>		
		</div>
	</div>
</div>
{% endblock %}

testimoni/templates/view_testimoni.html
{% extends "base.html" %}

{% block content %}
{% load staticfiles %}

<div class="row cover">
	<img class="logo"  src="{% static 'cld1.jpg' %}" width="100%" >
</div>

{% for t in testi %}
<div class="kotak" align="center">
	
<p>Dari: {{ t.username }}</p>
<p>Hewan yang dirawat: {{t.hewan}}</p>
<p>Pesan: {{ t.testimoni }}</p>

</div>

{% endfor %}
<div class="col-md-12 text-center">
	<a href="#testi">
		<button type="button" class="btn btn-warning">Add Testimoni</button>
	
	</a>
			</div>
	
<div class="row cover gambar">
	<img class="logo"  src="{% static 'testi up2.jpg' %}" width="100%" >
</div>

<section id="testi">
<h4 align="center" class="inputan">Form Testimoni</h4>
<div class="testimoni-form">
	<form method="POST">
	{% csrf_token %}
	
		<div class="container">
				<div class="row">
				  <div class="col-sm">
				  </div>
				  <div class="col-sm"><table align="center">
						{{ form.as_table }} 
				  </table>
				  <table class="tombol" align ="center">
						<td></td>
						<td ><button type="submit" class="btn btn-success">Add</button></td>
					</table>
				  </div>
				  <div class="col-sm">
				  </div>
				</div>
			  </div>
  </form>

</div>
</section>
{% endblock %}